package com.goldenwater.yjjt.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.goldenwater.common.annotation.Excel;
import com.goldenwater.common.core.domain.BaseEntity;

/**
 * 引江济太水质数据对象 gx_yjjt_sz_data
 */
public class YjjtSzData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "测站编码")
    private String stcd;

    @Excel(name = "断面名称")
    private String stnm;

    @Excel(name = "河流名称")
    private String rvnm;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采样时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date spt;

    private String addvcd;

    @Excel(name = "水温")
    private BigDecimal wt;

    @Excel(name = "PH值")
    private BigDecimal ph;

    @Excel(name = "溶解氧")
    private BigDecimal dox;

    @Excel(name = "高锰酸盐指数")
    private BigDecimal codmn;

    @Excel(name = "化学需氧量")
    private BigDecimal codcr;

    @Excel(name = "五日生化需氧量")
    private BigDecimal bod5;

    @Excel(name = "氨氮")
    private BigDecimal nh3n;

    @Excel(name = "总磷")
    private BigDecimal tp;

    @Excel(name = "总氮")
    private BigDecimal tn;

    private BigDecimal cu;
    private BigDecimal zn;
    private BigDecimal f;
    private BigDecimal se;
    private BigDecimal ars;
    private BigDecimal hg;
    private BigDecimal cd;
    private BigDecimal cr6;
    private BigDecimal pb;
    private BigDecimal cn;
    private BigDecimal vlph;
    private BigDecimal oil;
    private BigDecimal las;
    private BigDecimal s2;
    private BigDecimal fcg;
    private BigDecimal cond;
    private BigDecimal no2;
    private BigDecimal no3;
    private BigDecimal turb;
    private BigDecimal ss;
    private BigDecimal thrd;
    private String watercolor;
    private String smell;
    private BigDecimal sb;
    private String clarity;
    private BigDecimal dtp;
    private BigDecimal chla;
    private BigDecimal phyd;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getStcd() { return stcd; }
    public void setStcd(String stcd) { this.stcd = stcd; }
    public String getStnm() { return stnm; }
    public void setStnm(String stnm) { this.stnm = stnm; }
    public String getRvnm() { return rvnm; }
    public void setRvnm(String rvnm) { this.rvnm = rvnm; }
    public Date getSpt() { return spt; }
    public void setSpt(Date spt) { this.spt = spt; }
    public String getAddvcd() { return addvcd; }
    public void setAddvcd(String addvcd) { this.addvcd = addvcd; }
    public BigDecimal getWt() { return wt; }
    public void setWt(BigDecimal wt) { this.wt = wt; }
    public BigDecimal getPh() { return ph; }
    public void setPh(BigDecimal ph) { this.ph = ph; }
    public BigDecimal getDox() { return dox; }
    public void setDox(BigDecimal dox) { this.dox = dox; }
    public BigDecimal getCodmn() { return codmn; }
    public void setCodmn(BigDecimal codmn) { this.codmn = codmn; }
    public BigDecimal getCodcr() { return codcr; }
    public void setCodcr(BigDecimal codcr) { this.codcr = codcr; }
    public BigDecimal getBod5() { return bod5; }
    public void setBod5(BigDecimal bod5) { this.bod5 = bod5; }
    public BigDecimal getNh3n() { return nh3n; }
    public void setNh3n(BigDecimal nh3n) { this.nh3n = nh3n; }
    public BigDecimal getTp() { return tp; }
    public void setTp(BigDecimal tp) { this.tp = tp; }
    public BigDecimal getTn() { return tn; }
    public void setTn(BigDecimal tn) { this.tn = tn; }
    public BigDecimal getCu() { return cu; }
    public void setCu(BigDecimal cu) { this.cu = cu; }
    public BigDecimal getZn() { return zn; }
    public void setZn(BigDecimal zn) { this.zn = zn; }
    public BigDecimal getF() { return f; }
    public void setF(BigDecimal f) { this.f = f; }
    public BigDecimal getSe() { return se; }
    public void setSe(BigDecimal se) { this.se = se; }
    public BigDecimal getArs() { return ars; }
    public void setArs(BigDecimal ars) { this.ars = ars; }
    public BigDecimal getHg() { return hg; }
    public void setHg(BigDecimal hg) { this.hg = hg; }
    public BigDecimal getCd() { return cd; }
    public void setCd(BigDecimal cd) { this.cd = cd; }
    public BigDecimal getCr6() { return cr6; }
    public void setCr6(BigDecimal cr6) { this.cr6 = cr6; }
    public BigDecimal getPb() { return pb; }
    public void setPb(BigDecimal pb) { this.pb = pb; }
    public BigDecimal getCn() { return cn; }
    public void setCn(BigDecimal cn) { this.cn = cn; }
    public BigDecimal getVlph() { return vlph; }
    public void setVlph(BigDecimal vlph) { this.vlph = vlph; }
    public BigDecimal getOil() { return oil; }
    public void setOil(BigDecimal oil) { this.oil = oil; }
    public BigDecimal getLas() { return las; }
    public void setLas(BigDecimal las) { this.las = las; }
    public BigDecimal getS2() { return s2; }
    public void setS2(BigDecimal s2) { this.s2 = s2; }
    public BigDecimal getFcg() { return fcg; }
    public void setFcg(BigDecimal fcg) { this.fcg = fcg; }
    public BigDecimal getCond() { return cond; }
    public void setCond(BigDecimal cond) { this.cond = cond; }
    public BigDecimal getNo2() { return no2; }
    public void setNo2(BigDecimal no2) { this.no2 = no2; }
    public BigDecimal getNo3() { return no3; }
    public void setNo3(BigDecimal no3) { this.no3 = no3; }
    public BigDecimal getTurb() { return turb; }
    public void setTurb(BigDecimal turb) { this.turb = turb; }
    public BigDecimal getSs() { return ss; }
    public void setSs(BigDecimal ss) { this.ss = ss; }
    public BigDecimal getThrd() { return thrd; }
    public void setThrd(BigDecimal thrd) { this.thrd = thrd; }
    public String getWatercolor() { return watercolor; }
    public void setWatercolor(String watercolor) { this.watercolor = watercolor; }
    public String getSmell() { return smell; }
    public void setSmell(String smell) { this.smell = smell; }
    public BigDecimal getSb() { return sb; }
    public void setSb(BigDecimal sb) { this.sb = sb; }
    public String getClarity() { return clarity; }
    public void setClarity(String clarity) { this.clarity = clarity; }
    public BigDecimal getDtp() { return dtp; }
    public void setDtp(BigDecimal dtp) { this.dtp = dtp; }
    public BigDecimal getChla() { return chla; }
    public void setChla(BigDecimal chla) { this.chla = chla; }
    public BigDecimal getPhyd() { return phyd; }
    public void setPhyd(BigDecimal phyd) { this.phyd = phyd; }
}
